// The contents of this file are subject to the Mozilla Public License Version 1.1
// (the "License"); you may not use this file except in compliance with the License.
// You may obtain a copy of the License at <http://www.mozilla.org/MPL/>.
// 
// Software distributed under the License is distributed on an "AS IS" basis, WITHOUT
// WARRANTY OF ANY KIND, either express or implied. See the License for the specific
// language governing rights and limitations under the License.
// 
// The Original Code is the Venice Web Communities System.
// 
// The Initial Developer of the Original Code is Eric J. Bowersox <erbo@silcom.com>,
// for Silverwrist Design Studios.  Portions created by Eric J. Bowersox are
// Copyright (C) 2001 Eric J. Bowersox/Silverwrist Design Studios.  All Rights Reserved.
// 
// Contributor(s): 

importPackage(Packages.com.silverwrist.venice.core);
importPackage(Packages.com.silverwrist.venice.except);
importPackage(Packages.com.silverwrist.venice.ui);
importPackage(Packages.com.silverwrist.venice.ui.helpers);

// get the request object and the community
rinput = bsf.lookupBean("request");
comm = rinput.getCommunity(true,"top.js.vs");

if (!(comm.canDelete()))
{ // we can't delete the community, so what are we doing here?
  logger.error("you can't delete the community - not gonna do it, wouldn't be prudent");
  vlib.output(new ErrorBox("Access Error","You do not have permission to delete this community.",
                           "comm/admin_menu.js.vs?cc=" + comm.communityID));
  vlib.done();

} // end if

CONFIRM_attr = "community.delete.confirm";
CONFIRM_param = "confirm";

rc = null;

if (ConfirmBox.isConfirmed(rinput,CONFIRM_attr,CONFIRM_param))
{ // we are confirmed - delete the community!
  try
  { // delete the community
    comm.deleteCommunity();

    // the community is now GONE - go back to the top
    rc = new Redirect("top.js.vs",LinkTypes.SERVLET);

  } // end try
  catch (e)
  { // caught an exception while unjoining
    etype = vlib.exceptionType(e) + "";
    if (etype.match("AccessError"))
      rc = new ErrorBox("Access Error",e.message,"comm/admin_menu.js.vs?cc=" + comm.communityID);
    else if (etype.match("DataException"))
      rc = new ErrorBox("Database Error","Database error deleting community: " + e.message,
			"comm/admin_menu.js.vs?cc=" + comm.communityID);
    else
      rc = e;

  } // end catch

} // end if
else
{ // need to get confirmation
  message = "You are about to permanently delete the \"" + comm.name + "\" community, including all "
	  + "conferences and other resources it contains! Are you sure you want to do this?";
  rc = new ConfirmBox(rinput,CONFIRM_attr,CONFIRM_param,"Delete Community",message,
                      "comm/delete.js.vs?cc=" + comm.communityID,LinkTypes.SERVLET,
                      "comm/admin_menu.js.vs?cc=" + comm.communityID,LinkTypes.SERVLET);

} // end else

vlib.output(rc);
